import 'package:flutter/material.dart';

import 'package:flutter_toolkit/camera_preview.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  CameraController controller = CameraController();

  @override
  void initState() {
    print("init");
    controller.startPreview().then((value) async {
      setState(() {});
      await Future.delayed(Duration(seconds: 5));
      await controller.switchCamera();
      setState(() {});
    });
    super.initState();
  }

  @override
  void dispose() {
    print("dispose");
    controller.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Column(
      children: <Widget>[
        Expanded(
          child: CameraPreview(
            controller: controller,
          ),
        ),
        Expanded(
          child: CameraPreview(
            controller: controller,
          ),
        ),
      ],
    );
  }
}
